function hideMessage(messageId) {
    var message = document.getElementById(messageId)
    message.style.display = "none";
    setCookie(messageId, true);
}

function toggleThumbnail(thumbnailCounter) {
    // toggle arrow
    var twixieImgElement = document.getElementById('twixie-' + thumbnailCounter);
    if (twixieImgElement.src.indexOf('right.png') != -1)
        twixieImgElement.src = '/wiki/images/icons/arrow_down.png';
    else
        twixieImgElement.src = '/wiki/images/icons/arrow_right.png';

    // toggle show/hide status of the thumbnail
    var thumbnailId = 'thumbnail-' + thumbnailCounter;
    var thumbnailImgElement = document.getElementById(thumbnailId);

    if (thumbnailImgElement.style.display == 'none')
        thumbnailImgElement.style.display = '';
    else
        thumbnailImgElement.style.display = 'none';
}

function toggle(id) {
    var oldAttachmentVersionsBlock = document.getElementById('history_' + id);
    var latestAttachmentVersionBlock = document.getElementById("attachment_" + id);
    with (oldAttachmentVersionsBlock.style)
    {
        if ( display == "none" )
        {
            display = "";
            // change the css class of the tr so that all td's sitting inside willbe stripped of their bottom borders (so it looks nice!)
            if (latestAttachmentVersionBlock.className != '')
                latestAttachmentVersionBlock.className = 'rowAlternateNoBottomColor';
            else
                latestAttachmentVersionBlock.className = 'rowAlternateNoBottomNoColor';
        }
        else
        {
            display = "none";
            if (latestAttachmentVersionBlock.className == 'rowAlternateNoBottomColor')
                latestAttachmentVersionBlock.className = 'rowAlternate';
            else
                latestAttachmentVersionBlock.className = null;
        }
    }

    var arrowIcon = document.getElementById('arrow' + id);
    with (arrowIcon)
    {
        if (src != null && (src.indexOf('/images/icons/arrow_closed_active_16.gif') != -1 || src.indexOf('/images/icons/arrow_closing_active_16.gif') != -1))
        {
            src = '/images/icons/arrow_opening_active_16.gif';
        }
        else
        {
            src = '/images/icons/arrow_closing_active_16.gif';
        }
    }
}
