if (typeof(BuilderColours)=="undefined") var BuilderColours = (function () {
    function selectColour(colour) {
        var currentswatch = document.getElementById("buildercolour-currentswatch");
        if (currentswatch!=null) {
            currentswatch.style.backgroundColor=colour;
        }
        var currentvalue = document.getElementById("buildercolour-currentvalue");
        if (currentvalue!=null) {
            currentvalue.value = colour;
        }
        ColourDialog.selectColour(colour,"BuilderColours");
    }
    function getSelectedColour() {
        return currentcolour;
    }

    function listNames(list,names) {
        var i=list.length;
        var output="";
        while (-1<--i) {
            output+=", "+names[list[i]];
        }
        return output.substr(2);
    }

    function generateSamples(colours,names) {
        var output="<table><tr>";
        var i;
        var c=0;
        for (i in colours) if (i!=null && i!="null") {
            if ((c++)%3==0) output+="</tr><tr>";
            output+="<td style='background-color:"+i+";width:50px;height:30px;cursor:pointer;border:1px solid grey;'><div onclick='BuilderColours.selectColour(\""+i+"\");' title='Colour : "+i+" used by "+listNames(colours[i],names)+"'>&nbsp;</div></td>";
        }
        output+="</tr></table>";
        return output;
    }

    function updateDisplay() {
        var display=document.getElementById("colourpicker-builder");
        if (display!=null) {
            var output="<table><tr><td width='188px' valign='top'>"+generateSamples(LayoutTab.getPanelColours(),LayoutTab.getPanelNames())+"</td>";
            output+="<td align='center' valign='middle'><div class='colourpicker-label'>Current Selection</div><div id='buildercolour-currentswatch' style='width:90px;height:90px;border:2px solid #aaaaaa;margin:10px'>&nbsp;</div><input id='buildercolour-currentvalue'></td>";
            output+="</tr><tr></table>";
            display.innerHTML=output;
        }
    }
    updateDisplay();
    selectColour(ColourDialog.getSelectedColourValue());

    return {selectColour:selectColour, getSelectedColour:getSelectedColour};
})();
