if (typeof(DashboardTab)=="undefined") var DashboardTab = (function () {
    function getProp(prop) {
        var inp=document.getElementById("dashboardTab."+prop);
        if (inp!=null) return inp.value;
        return null
    }
    function setProp(prop,value) {
        var inp=document.getElementById("dashboardTab."+prop);
        if (inp!=null) inp.value=value;
    }

    function onSetDashboardContent(callback) {
        return function(status) {
            if (status!=null) {
                alert(status);
//            } else {
//                alert("yeah, it worked, and here is dialog for you to click")
            }
            if (callback!=null) {
                callback();
            }
        }
    }
    function saveContent() {
        var dashboardContent = getProp("content");
        ThemeAdminDWR.setDashboardContent(dashboardContent,onSetDashboardContent());
    }

    function onGetDashboardContent(content) {
        setProp("content",content);
    }

    function resetContent() {
        if (confirm("This will permenantly delete all dashboard customisations, are you sure?")) {
            ThemeAdminDWR.setDashboardContent(null,
                    onSetDashboardContent(function(){
                        ThemeAdminDWR.getDashboardContent(onGetDashboardContent);
                    }));
        }
    }

    return {saveContent:saveContent,resetContent:resetContent};
})();