if (typeof(FullPreviewTab)=="undefined") var FullPreviewTab = (function () {
    function updateDisplay(managedLayout) {
        var preview = document.getElementById("preview-iframe");
        if (preview!=null) {
            var url;
            if (previewURL==null) {
                url=contextPath+"/dashboard.action?layoutId="+managedLayout.layout.layoutId;
            } else if (previewURL.indexOf("?")>-1) {
                url=contextPath+previewURL+"&layoutId="+managedLayout.layout.layoutId;
            } else {
                url=contextPath+previewURL+"?layoutId="+managedLayout.layout.layoutId;
            }
            preview.src=url
        }
    }

    var active=true;
    function getManagedLayout() {
        if (typeof(ConfigureTheme)!="undefined") return ConfigureTheme.getManagedLayout();
        if (typeof(ManageLayouts)!="undefined") return ManageLayouts.getManagedLayout();
        return null;
    }
    function setActive(tabPanel, activeTab) {
        active = (activeTab.id=="fullpreview");
        if (active) updateDisplay(getManagedLayout());
    }
    var borderLayout = Ext.get("layoutselector");
    if (borderLayout==null) borderLayout = Ext.get("layoutmanager");
    borderLayout.borderLayout.getRegion("center").getTabs().addListener("tabchange",setActive);
    function layoutLoaded(managedLayout) {
        if (active) updateDisplay(managedLayout);
    }
    updateDisplay(getManagedLayout());

    return {layoutLoaded:layoutLoaded};
})();