/*
 * Ext - JS Library 1.0 Alpha 2
 * Copyright(c) 2006-2007, Jack Slocum.
 *
 * http://www.extjs.com/license.txt
 */

Ext.data.ObjectReader = function(meta, recordType){
    Ext.data.ObjectReader.superclass.constructor.call(this, meta, recordType);
    this.recordType = recordType;
};
Ext.extend(Ext.data.ObjectReader, Ext.data.DataReader, {
    readRecords : function(o){
        var sid = this.meta ? this.meta.id : null;
    	var recordType = this.recordType;
    	var records = [];
    	var root = o;
	    for(var i = 0; i < root.length; i++){
		    var value = root[i];
	        var id = ((sid || sid === 0) && n[sid] !== undefined && value[sid] !== "" ? n[sid] : null);
	        var record = new recordType(value, id);
	        records[records.length] = record;
	    }
	    return {
	        records : records,
	        totalRecords : records.length
	    };
    }
});