if (typeof(ThemeAdmin)=="undefined") var ThemeAdmin = (function () {
    var tabs;

    // -------------------- tab loading
    function loadedTabContent(activeTab) {
        return function (tabcontent) {
            Visibility.removeClass(document.body,"waitCursor");
            Visibility.addClass(document.body,"normalCursor");
            activeTab.setContent(tabcontent,true);
        }
    }
    function loadTabContent(tabPanel, activeTab) {
        if (!activeTab.loaded) {
            activeTab.loaded=true;// dont really want to try and load it twice ;)
            Visibility.removeClass(document.body,"normalCursor");
            Visibility.addClass(document.body,"waitCursor");
            ThemeAdminDWR.getTab(activeTab.id,loadedTabContent(activeTab));
        }
    }

    function initTabs() {
        tabs = new Ext.TabPanel("themeadmin");
        tabs.addTab("themeadmin-backup","Backup");
        tabs.addTab("themeadmin-managespacestab","Manage spaces");
        tabs.addTab("themeadmin-defaultlayout","Default layouts");
        tabs.addTab("themeadmin-permissions","Global permissions");
        tabs.addTab("themeadmin-dashboard","Dashboard");
        tabs.addTab("themeadmin-aliases","Link aliases");
        tabs.addListener("tabchange",loadTabContent);
        tabs.activate('themeadmin-backup');
    }
//    initTabs();
    Ext.EventManager.onDocumentReady(initTabs);
    return {};
})();